Subject: RE: [rohc] Re: [MOBILE-IP] Comments on PILC draft

From: [email-masked]
Date: Wed, 5 Apr 2000 10:43:16 -0500

> -----Original Message-----
> From: EXT Andrew Worsley [mailto:[email-masked]]
> Sent: Tuesday, April 04, 2000 6:09 PM
> To: Phil Neumiller
> Cc: [email-masked]; [email-masked]
> Subject: [rohc] Re: [MOBILE-IP] Comments on PILC draft
> 
......
>   I assumed packets were segemented into segements of size f 
> with with two
>   bytes of overhead per segment (1 byte CRC and 1 byte count?),
>   ignored the Nack traffic (as it's in the other direction?) and got
>   for the average amount transmitted (in the one direction) 
> for a packet of
>   length D:
> 
>   T = ((D/f)+1)*(f + c)/p
> 
>     where f = segement size (I called it fragment)
>           c = size of segement overhead 
> 	  p = probability of segment transmission, assuming a 
> constant BER.
> 	      i.e.  p = 1 - (1 - BER)**(f+c)

Just want to point out a typo here. If p is the probability that
a segment is transmitted successfully, p should equal to
(1 - BER)**(f+c). The p above actually gives the probability of
a failed transmission.

Zhigang Liu

> 
>     and I assume the last segment is truncated to only 
> contain the remaining
>     data, if not you need an upper bound on the segment size 
> say 50 bytes.
> 
>     For c = 2, D = 640
>     Optimal values for f were:
> 
>     BER = .01 	f = 4 p = 0.617290  efficiency = 2.430
>     BER = .001 	f = 16 p = 0.865825 efficiency = 1.299
>     BER = 0.0001 f = 50 p = 0.959251 efficiency = 1.084
>     BER = 1e-05 f = 150 p = 0.987914 efficiency = 1.026
> 
>       (efficiency is how much data is transmitted in the one direction
>       divided by the size of the original data)
> 
......
> 
>     	Andrew Worsley
> ---
> Mailing list for Robust Header Compression WG
> Archive: http://www.cdt.luth.se/rohc/
>